version: "3.8"
services:

    #  techmo_asr:
    #    image: docker-registry.theliver.pl/techmo-asr:1.1
    #    container_name: techmo_asr
    #    restart: always
    #    ports:
    #      - 5001:5000
    #    volumes:
    #      - /etc/localtime:/etc/localtime:ro
    #      - /home/marcinwatroba/.ssh/keys/techmo_asr_server:/keys/techmo_rsa_key:ro
    #    environment:
    #      - TECHMO_SSH_SERVER_USERNAME=mwatroba
    #      - TECHMO_SSH_SERVER_URL=jankocon.clarin-pl.eu
    #      - TECHMO_SERVER_SSH_PORT=9222
    #      - TECHMO_REMOTE_SERVICE_PORT=12321
    #      - TECHMO_SERVER_URL=156.17.135.34
    #      - AUTH_TOKEN=__example_token__

    #    transformers-wav2vec2for_ctc:
    #        image: gitlab.clarin-pl.eu:5050/clarin-dialog/clarin-dialog/transformers-wav2vec2for_ctc:1.0
    #        container_name: transformers-wav2vec2for_ctc
    #        restart: always
    #        volumes:
    #            - /etc/localtime:/etc/localtime:ro
    #            - ./wav2vec2for_ctc_models:/models
    #        ports:
    #            - "5430:5000"
    #        environment:
    #            - AUTH_TOKEN=__example_token__
    #            - MODEL_NAME=jonatasgrosman/wav2vec2-large-xlsr-53-polish
    #            - SAMPLING_RATE=16000

    embedding_service:
        image: docker-registry.theliver.pl/embedding_docker:1.0
        container_name: embeddings_service
        restart: always
        ports:
            - "5003:5000"
        environment:
            - AUTH_TOKEN=fjsd-mkwe-oius-m9h2
        volumes:
            - /etc/localtime:/etc/localtime:ro
            - ./embedding_models:/models

#    ajn_asr:
#        image: gitlab.clarin-pl.eu:5050/clarin-dialog/clarin-dialog/asr-clarin-pl-service:1.5
#        container_name: ajn_asr
#        restart: always
#        ports:
#            - "5431:5000"
#        environment:
#            - AUTH_TOKEN=__example_token__
#        volumes:
#            - /etc/localtime:/etc/localtime:ro

#    wav2vec2-xls-r-1b-polish:
#        image: gitlab.clarin-pl.eu:5050/clarin-dialog/clarin-dialog/wav2vec2-xls-r-1b-polish:1.5
#        container_name: wav2vec2-xls-r-1b-polish
#        restart: always
#        ports:
#            - "5437:5000"
#        environment:
#            - AUTH_TOKEN=__example_token__
#        volumes:
#            - /etc/localtime:/etc/localtime:ro

#    speechbrain_asr:
#        image: gitlab.clarin-pl.eu:5050/clarin-dialog/clarin-dialog/speechbrain-asr:1.5
#        container_name: speechbrain_asr
#        restart: always
#        ports:
#            - "5432:5000"
#        volumes:
#            - /etc/localtime:/etc/localtime:ro
#            - ./speechbrain_asr_models:/models
#        environment:
#            - AUTH_TOKEN=__example_token__
#
